Lintian Fixes - vdr-plugin-epgsync

Ready changes

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 565eefc..c9c1cd5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+vdr-plugin-epgsync (1.0.1-7) UNRELEASED; urgency=low
+
+  * Trim trailing whitespace.
+  * Use secure URI in Homepage field.
+  * Bump debhelper from old 9 to 12.
+  * Set debhelper-compat version in Build-Depends.
+  * Update standards version to 4.5.0, no changes needed.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Fri, 17 Jul 2020 23:59:10 -0000
+
 vdr-plugin-epgsync (1.0.1-6) unstable; urgency=medium
 
   * Standards-Version: 4.4.1
@@ -302,4 +312,3 @@ vdr-plugin-epgsync (0.0.2-1) unstable; urgency=low
   * Initial Release (closes: #408624)
 
  -- Tobias Grimm <tg@e-tobi.net>  Sat, 27 Jan 2007 13:20:17 +0100
-
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index ec63514..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-9
diff --git a/debian/control b/debian/control
index 6c48983..4ba0066 100644
--- a/debian/control
+++ b/debian/control
@@ -3,9 +3,9 @@ Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas G├╝nther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), pkg-config, svdrpservice-dev
-Standards-Version: 4.4.1
-Homepage: http://vdr.schmirler.de/
+Build-Depends: debhelper-compat (= 12), vdr-dev (>= 2.4.1), pkg-config, svdrpservice-dev
+Standards-Version: 4.5.0
+Homepage: https://vdr.schmirler.de/
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-epgsync.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-epgsync
 

Run locally

Try this locally (using the lintian-brush package):

debcheckout vdr-plugin-epgsync
cd vdr-plugin-epgsync
lintian-brush

More details

Full run details